Package org.eclipse.remote.core

# Interface IRemoteConnectionType.Service

All Known Subinterfaces:
  `IRemoteConnectionProviderService`, `IRemoteUIConnectionService`, `IRemoteUIFileService`

All Known Implementing Classes:
  `AbstractRemoteUIConnectionService`, `RemoteUIFileService`

Enclosing interface:
  IRemoteConnectionType

public static interface IRemoteConnectionType.Service
The interface that is extend by services provided for this remote services implementation.

Since:
  2.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IRemoteConnectionType.Service.Factory`

## Method Summary

Modifier and Type
Method
Description
`IRemoteConnectionType`
`getConnectionType()`

## Method Details

### getConnectionType

IRemoteConnectionType getConnectionType()